Technical Data

System Requirements

Minimal Recommended
Operating system Microsoft Windows®10 (64-bit) Microsoft Windows® 2019 Server (64-bit) [5]
Microsoft Windows®10 (64-bit)
Hardware Intel Core i5-8500 6x3.0 GHz Intel Xeon 6x3.7 GHz
8 GB RAM 32 GB RAM
DVD ROM Drive DVD ROM Drive
Ethernet adapter Ethernet adapter with Express card
Graphics card with a minimal monitor resolution of 1600x900 with 32-bit color (HD ready) Graphics card with a monitor resolution of 1920x1024 with 32-bit color (HD)
8 GB disk space 16 GB disk space
Java Java 11 Java 11
RTPC ETAS RTPC 6.5.1 (COSYM 2.5.1) ETAS RTPC 6.5.1 (COSYM 2.5.1)
2 GB RAM 4 GB or more RAM
80 GB Disk space 80 GB Disk space or more
DVD ROM Drive DVD ROM Drive
Running 64-bit Linux Running 64-bit Linux
Any of the following processors:
- Intel Xeon family
- Intel Core i family
- Intel Core 2 family (Duo and Quad)
Any of the following processors:
- Intel Xeon family
- Intel Core i family
- Intel Core 2 family (Duo and Quad)
Software support To generate RT code and run simulation experiment: ETAS RTPC 6.5.1 (COSYM 2.5.1);
to run and visualize the simulation experiment: ETAS Experiment Environment (CEE) V3.8.1 (COSYM 2.5) ;
to calibrate the vECU parameters during simulation: ETAS INCA = V7.3.5[1] (COSYM 2.5);
Import existing LCO-IP projects into COSYM: ETAS LABCAR IP >= V5.4.1 [2][6];
Update firmware of ETAS hardware: ETAS HSP V11.11.0, V11.13.0, V11.14.1, V11.14.2,V11.15.0, V12.0.0, V12.1.0,V12.2.0, V12.3.0, V12.4.0,V12.5.0,3.[3];
EB tresos Busmirror V4.8.1, V4.9.0, V4.10.1,V4.10.2, V4.13, V4.14,V4.15.1, V4.16, V4.16.1,V4.16.2, V4.17.1, V4.17.2,V4.17.2, V4.17.3, V4.17.4,V4.17.5, V4.18.1, V4.18.2,V4.18.3, V4.19.5, V21.5.0 (COSYM 2.5 only)[4]

Notes

[1] The INCA versions, V7.2.4 to V7.2.10 are not explicitly tested with COSYM V2.1. INCA V7.2.11 and V7.2.13 are tested for compatibility with COSYM V2.1. INCA V7.3.0 – INCA V7.3.4 is not supported with COSYM V2.5.0.
[2] LCO projects from LCO versions V5.4.1-V5.4.9 can be imported into COSYM. Parallel installation of COSYM to LABCAR-OPERATOR versions V5.4.1-V5.4.8 is not recommended, as COSYM installation will upgrade the ETAS Experiment Environment to version V3.7.9. LABCAR-OPERATOR V5.4.9 and COSYM V2.1 can be installed on the same computer.
Further information on installation and administration can be found in the COSYM V2.1.0 User's Guide on etas.com in the Download Center.
[3] Available in the ETAS download center: https://www.etas.com/en/products/hardware_products-hsp.php
[4] Windows®10 platform is supported by EB tresos Busmirror starting V4.16 onwards.
[5] Supports COSYM SiL use case only.
[6] Parallel installation of COSYM V2.5.0 and LABCAR OPERATOR versions V5.4.1-V5.4.12 are not recommended, as COSYM installation will upgrade the ETAS Experiment Environment to version V3.8.1.
LABCAR-OPERATOR V5.4.12 HF1 and COSYM V2.5.0 can be installed on the same computer.

This product has been developed and released for use in automotive applications. For usage in other domains please contact your ETAS representative.